Skip to main content
GET
/
schedule
/
v1
/
planners
/
{plannerId}
/
shift-assignments
List Shift Assignments in Planner
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/planners/{plannerId}/shift-assignments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "shiftId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "shiftName": "<string>",
      "date": "2026-02-10",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

plannerId
string<uuid>
required

The planner ID

Query Parameters

from
string<date>

Filter by date greater than or equal (Y-m-d)

Example:

"2026-02-01"

to
string<date>

Filter by date less than or equal (Y-m-d)

Example:

"2026-02-28"

employeeId[in]
string

Filter by employee IDs (comma-separated UUIDs)

page
integer
default:1

Request a specific page

limit
integer
default:20

Items per page

Response

200 - application/json

Array of Objects

data
object[]
meta
object